Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Filter_Worker Class Reference

`#include <EC_Supplier_Filter.h>`

Inheritance diagram for TAO_EC_Filter_Worker:

[legend]
Collaboration diagram for TAO_EC_Filter_Worker:

[legend]
List of all members.

## Public Methods
| TAO_EC_Filter_Worker (RtecEventComm::EventSet &event, const TAO_EC_QOS_Info &event_info)
virtual void | work (TAO_EC_ProxyPushSupplier *supplier ACE_ENV_ARG_DECL)
## Private Attributes
RtecEventComm::EventSet & | event_
| The event we push on each case, use a reference to avoid copies.
const TAO_EC_QOS_Info & | event_info_
| The QoS info propagated on each event.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Filter_Worker::TAO_EC_Filter_Worker | ( | RtecEventComm::EventSet & | event,
|  | const TAO_EC_QOS_Info & | event_info
| ) |

## Member Function Documentation

void TAO_EC_Filter_Worker::work | ( | TAO_EC_ProxyPushSupplier *supplier | ACE_ENV_ARG_DECL | ) | `[virtual]`

## Member Data Documentation

RtecEventComm::EventSet& TAO_EC_Filter_Worker::event_`[private]`

| The event we push on each case, use a reference to avoid copies.

const TAO_EC_QOS_Info& TAO_EC_Filter_Worker::event_info_`[private]`

| The QoS info propagated on each event.

The documentation for this class was generated from the following files:

- EC_Supplier_Filter.h
- EC_Supplier_Filter.cpp
- EC_Supplier_Filter.i